List workspaces
curl --request GET \
--url https://posted-api.example.com/api/workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://posted-api.example.com/api/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://posted-api.example.com/api/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://posted-api.example.com/api/workspaces",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://posted-api.example.com/api/workspaces"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://posted-api.example.com/api/workspaces")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://posted-api.example.com/api/workspaces")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "55555555-5555-4555-8555-555555555555",
"name": "Default",
"description": "",
"isDefault": true,
"createdAt": "2027-01-18T09:30:00.000Z",
"updatedAt": "2027-01-18T09:30:00.000Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}List workspaces
List workspaces available to this client. Use a returned workspaceId, including Default, for every subsequent action.
Listen to this pageabout 1 min
GET
/
api
/
workspaces
List workspaces
curl --request GET \
--url https://posted-api.example.com/api/workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://posted-api.example.com/api/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://posted-api.example.com/api/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://posted-api.example.com/api/workspaces",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://posted-api.example.com/api/workspaces"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://posted-api.example.com/api/workspaces")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://posted-api.example.com/api/workspaces")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "55555555-5555-4555-8555-555555555555",
"name": "Default",
"description": "",
"isDefault": true,
"createdAt": "2027-01-18T09:30:00.000Z",
"updatedAt": "2027-01-18T09:30:00.000Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}Read access: a read-enabled personal or workspace REST API key, or a signed-in user. OAuth clients use the corresponding MCP tool through /mcp.
List workspaces available to this client. Use a returned workspaceId, including Default, for every subsequent action.
Additional workspaces require membership. Existing team roles apply. Default is available to everyone and cannot be deleted. Only an empty additional workspace can be deleted.
MCP clients can use
list_workspaces for this operation.
Request conventions · API keys · MCP connectionsWas this page helpful?
